// skyparms work like this:

// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>

// color will be normalized, so it doesn't matter what range you use

// intensity falls off with angle but not distance 100 is a fairly bright sun

// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

textures/monastery/gaunt_light_sunrise
{
	qer_editorimage	textures/skies/sky
	q3map_skylight     60 3 
	q3map_sun 0.992157 0.701961 0.647059 150 15 20
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	q3map_nolightmap
	skyParms	textures/monastery/gaunt 512 -
    {
        map textures/monastery/cloudlayer_gaunt
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll 0 0.01025
        tcMod scale 4 4
    }

}


textures/monastery/gaunt_light
{
	qer_editorimage	textures/skies/sky
	q3map_skylight     60 3 
	q3map_sun 0.992157 0.701961 0.647059 150 180 90
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	q3map_nolightmap
	skyParms	textures/monastery/gaunt 512 -
    {
        map textures/monastery/cloudlayer_gaunt
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll 0 0.01025
        tcMod scale 4 4
    }

}


textures/monastery/gauntsand
{
	q3map_shadeangle	150
	qer_editorimage	textures/monastery/gauntsand
	q3map_material	Sand
	q3map_nonplanar
	q3map_splotchfix
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/monastery/gauntsand
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}


textures/monastery/Black_Stone
{
	qer_editorimage	textures/monastery/Black_Stone
    {
        map $lightmap
        tcGen lightmap
    }
    {
        map textures/monastery/Black_stone
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/monastery/specul1
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
    }
}


textures/monastery/wall_illusion1
{
	qer_editorimage	textures/monastery/wall_illusion1
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/monastery/wall_illusion1
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod turb 0 0.03 0 0.075
    }
}

textures/monastery/wall_illusion2
{
	qer_editorimage	textures/monastery/wall_illusion2
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/monastery/wall_illusion2
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod turb 0 0.03 0 0.075
    }
}

textures/monastery/wall_illusion3
{
	qer_editorimage	textures/monastery/wall_illusion3
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/monastery/wall_illusion3
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod turb 0 0.03 0 0.075
    }
}

textures/monastery/portal_sfx_red
{
	portal
	surfaceparm nolightmap
	deformVertexes wave 100 sin 0 2 0 .5


	{
		map textures/monastery/portal_sfx_red1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	//	This blend function is not working on RagePro drivers Mac only
	//	when it is used on top of portals
		depthWrite
	}


	{
		map textures/monastery/portal_sfx1.tga
		blendfunc gl_dst_color gl_zero
		tcMod rotate 360
	}

	{
		map textures/monastery/portal_sfx.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}

	{
		map textures/monastery/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 256
		rgbGen identityLighting	
//		tcmod turb sin 0 .5 0 1
		tcmod rotate .1 //.1
		tcmod scroll .01 .03
	}
}


textures/monastery/gold
{   
 
        {
                map textures/monastery/fx1_g.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/monastery/gold.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}




